program Vfy;
{$INCLUDE 'jedi.inc'}
{$INCLUDE 'vfy.inc'}
{$APPTYPE CONSOLE}

{%File 'vfy.inc'}
{%File 'vfy.version'}

{$R *.res}

uses
  SysUtils,
  Classes,
  uConsoleApp,
  uVerify in 'uVerify.pas',
  uHashItem in 'uHashItem.pas',
  uHashList in 'uHashList.pas',
  uProgress in 'uProgress.pas';

var
  ErrorMsg: string;

begin
  try
    ExitCode := 0;
    ExitCode := ExecuteConsoleApp(TVerifyApp);
    {$IFNDEF FPC}
    {$IFDEF DELPHI2009_UP}
      {$WARN SYMBOL_PLATFORM OFF}
    {$ENDIF}
      if DebugHook <> 0 then
        begin
        Writeln;
        Write('Press any key to exit.');
        Readln;
        end;
    {$IFDEF DELPHI2009_UP}
      {$WARN SYMBOL_PLATFORM ON}
    {$ENDIF}
    {$ENDIF}
  except
    on E: Exception do
      begin
      ErrorMsg := Format('Exception %s: %s', [E.ClassName, E.Message]);
      Writeln(ErrorMsg);
      ExitCode := 255;
      end;
    end;
end.

